#!/usr/bin/env sh

# Terminate already running bar instances
killall -q polybar

# Wait until the processes have been shut down
while pgrep -x polybar >/dev/null; do sleep 1; done

# Launch polybar
polybar biggtop 2>> ~/.logs/polybar_biggtop.log &
polybar smoltop 2>> ~/.logs/polybar_smoltop.log &
polybar biggbott 2>> ~/.logs/polybar_biggbott.log &
polybar smolbott 2>> ~/.logs/polybar_smolbott.log &
